Bug 637138 - Cannot connect to Internet with N900
Cannot connect to Internet with N900
Status: CLOSED DUPLICATE of bug 583691
Product: Fedora
Classification: Fedora
Component: bluez (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On: 634195
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-24 08:41 EDT by David Woodhouse
Modified: 2011-07-11 20:08 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 634195
Environment:
Last Closed: 2011-07-11 20:08:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
NetworkManager output (20.00 KB, text/plain)
2011-07-03 16:56 EDT, David Woodhouse
no flags Details
modem-manager output (9.96 KB, text/plain)
2011-07-03 16:58 EDT, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2010-09-24 08:41:52 EDT
+++ This bug was initially created as a clone of Bug #634195 +++

I have a Nokia N900. It works fine with wvdial -- either if I use the /dev/ttyACM0 device I get when it's plugged in, or if I use 'rfcomm bind' to create a /dev/rfcomm0 device and then use wvdial on that.

I cannot make NetworkManager connect with it though.

When the device is plugged in, an 'Orange Internet' choice appears in the NetworkManager menu. Selecting it merely causes a notification to pop up saying "The network connection has been disconnected". Presumably it's trying to tell me that it failed to connect -- it's a fairly poor error message, and gives no hint as to what might be wrong.

Sep 15 14:30:34 macbook NetworkManager[7233]: <info> Activation (ttyACM0) starting connection 'Orange Internet'
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> (ttyACM0): device state change: 3 -> 4 (reason 0)
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) scheduled...
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) started...
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> Activation (ttyACM0) Stage 1 of 5 (Device Prepare) complete.
Sep 15 14:30:34 macbook NetworkManager[7233]: <warn> GSM connection failed: (32) Operation not supported
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> (ttyACM0): device state change: 4 -> 9 (reason 1)
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> Marking connection 'Orange Internet' invalid.
Sep 15 14:30:34 macbook NetworkManager[7233]: <warn> Activation (ttyACM0) failed.
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> (ttyACM0): device state change: 9 -> 3 (reason 0)
Sep 15 14:30:34 macbook NetworkManager[7233]: <info> (ttyACM0): deactivating device (reason: 0).

--- Additional comment from dwmw2@infradead.org on 2010-09-15 09:53:00 EDT ---

So I tried Bluetooth, since that works too with wvdial and DUN is supposed to be supported.

I tried to make the laptop pair with the phone, but it doesn't seem to show up in the 'Device search' when I select 'Set up new device...' from the bluetooth applet. Despite the fact that I can *see* the Inquiry results come in with hcidump.

I tried pairing the other way round, initiated from the phone, but that didn't work either -- I never got the option to enable DUN on the phone when I pair them that way round.

Earlier today I *did* somehow manage to pair them from the laptop side, although I'd deleted that pairing to redo my testing and file this bug. And then although it let me set up the device for DUN and choose my APN, etc., it still didn't turn up in NetworkManager.

--- Additional comment from dwmw2@infradead.org on 2010-09-15 10:05:24 EDT ---

Aha, problem #1 in pairing -- despite having *tried* to go back to the initial state to restart from scratch, by removing the device in the applet GUI, it hadn't actually deleted the link keys. By removing all trace of the N900's bdaddr from all files in /var/lib/bluetooth, I can make it show up in the device search again.

Next problem... although the phone shows me a PIN and asks me to confirm, and in hcidump I see the same PIN:

> HCI Event: User Confirmation Request (0x33) plen 10
    bdaddr 20:D6:07:55:3D:C2 passkey 839899

... the applet doesn't do anything useful; just keeps saying 'Connecting to 'dwmw2's N900'... until it times out and declares that the connection failed.

--- Additional comment from dwmw2@infradead.org on 2010-09-15 10:08:58 EDT ---

After taking hci0 device down, removing the btusb.ko module, killing bluetoothd and restarting everything, I finally managed to make it pair OK. Asked to use it to access the Internet (DUN) and was taken through the APN setup... but still it doesn't appear in NetworkManager. How am I supposed to connect?

--- Additional comment from dwmw2@infradead.org on 2010-09-15 10:10:13 EDT ---

Sep 15 15:06:54 macbook modem-manager: (rfcomm0) closing serial device...
Sep 15 15:06:54 macbook modem-manager: (rfcomm0) opening serial device...
Sep 15 15:06:54 macbook modem-manager: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1 claimed port rfcomm0
Sep 15 15:06:55 macbook NetworkManager[7233]: <info> ignoring modem 'rfcomm0' (no associated Bluetooth device)
Sep 15 15:06:55 macbook modem-manager: Modem /org/freedesktop/ModemManager/Modems/2: Equipment identifier set (356938035851428)
Sep 15 15:06:55 macbook modem-manager: (rfcomm0) closing serial device...

--- Additional comment from dwmw2@infradead.org on 2010-09-15 10:14:29 EDT ---

After removing the bluetooth pairing (which worked this time) and doing it all *again*, it actually works...

pairing...

Sep 15 15:11:11 macbook bluetoothd[10063]: Discovery session 0x7f6a852de700 with :1.144 activated
Sep 15 15:11:17 macbook bluetoothd[10063]: Stopping discovery
Sep 15 15:11:19 macbook bluetoothd[10063]: link_key_request (sba=00:21:E9:D7:FA:E4, dba=20:D6:07:55:3D:C2)
Sep 15 15:11:19 macbook bluetoothd[10063]: io_capa_request (sba=00:21:E9:D7:FA:E4, dba=20:D6:07:55:3D:C2)
Sep 15 15:11:21 macbook bluetoothd[10063]: io_capa_response (sba=00:21:E9:D7:FA:E4, dba=20:D6:07:55:3D:C2)
Sep 15 15:11:28 macbook bluetoothd[10063]: link_key_notify (sba=00:21:E9:D7:FA:E4, dba=20:D6:07:55:3D:C2, type=5)
Sep 15 15:11:29 macbook bluetoothd[10063]: probe failed with driver input-headset for device /org/bluez/10063/hci0/dev_20_D6_07_55_3D_C2

... probing for DUN configuration...

Sep 15 15:11:38 macbook bluetoothd[10063]: link_key_request (sba=00:21:E9:D7:FA:E4, dba=20:D6:07:55:3D:C2)
Sep 15 15:11:38 macbook bluetoothd[10063]: link_key_request (sba=00:21:E9:D7:FA:E4, dba=20:D6:07:55:3D:C2)
Sep 15 15:11:38 macbook modem-manager: (rfcomm0) opening serial device...
Sep 15 15:11:39 macbook modem-manager: (rfcomm0) closing serial device...
Sep 15 15:11:39 macbook modem-manager: (rfcomm0) opening serial device...
Sep 15 15:11:39 macbook modem-manager: (Generic): GSM modem /sys/devices/pci0000:00/0000:00:1a.0/usb3/3-1/3-1.1 claimed port rfcomm0
Sep 15 15:11:39 macbook NetworkManager[7233]: <info> ignoring modem 'rfcomm0' (no associated Bluetooth device)
Sep 15 15:11:39 macbook modem-manager: Modem /org/freedesktop/ModemManager/Modems/3: Equipment identifier set (356938035851428)
Sep 15 15:11:39 macbook modem-manager: (rfcomm0) closing serial device...

... and then after I select the network/APN ...


Sep 15 15:12:02 macbook NetworkManager[7233]: <warn> (20:D6:07:55:3D:C2): failed to look up interface index
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> BT device dwmw2's N900 (20:D6:07:55:3D:C2) added (DUN)
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> (20:D6:07:55:3D:C2): new Bluetooth device (driver: 'bluez' ifindex: -1)
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> (20:D6:07:55:3D:C2): exported as /org/freedesktop/NetworkManager/Devices/7
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> (20:D6:07:55:3D:C2): now managed
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> (20:D6:07:55:3D:C2): device state change: 1 -> 2 (reason 2)
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> (20:D6:07:55:3D:C2): deactivating device (reason: 2).
Sep 15 15:12:02 macbook NetworkManager[7233]: <info> (20:D6:07:55:3D:C2): device state change: 2 -> 3 (reason 0)
Sep 15 15:12:02 macbook dbus: [system] Rejected send message, 1 matched rules; type="method_return", sender=":1.139" (uid=0 pid=10063 comm="/usr/sbin/bluetoothd) interface="(unset)" member="(unset)" error name="(unset)" requested_reply=0 destination=":1.144" (uid=500 pid=10247 comm="bluetooth-wizard))

--- Additional comment from dwmw2@infradead.org on 2010-09-15 10:28:10 EDT ---

So I have it working... but it's taken me hours, and the power is back on now anyway so I can switch back to wireless. And I still only have it working over Bluetooth; not over the USB cable. That's not very useful, because my experience is that Bluetooth dialup support doesn't actually remain working from week to week; next time I need it I'm sure it'll be broken again.

The fact that I needed to sacrifice three chickens and wipe my configuration and repair the Bluetooth devices four times before it worked -- and the fact that I *did* manage to pair and ask for DUN earlier and still it didn't show up in NetworkManager, are probably all bugs on the BlueZ side.

But why can't I connect using the USB cable?


udi = '/org/freedesktop/Hal/devices/usb_device_421_1c8_noserial_if6_serial_unknown_0'
  info.capabilities = {'serial', 'modem'} (string list)
  info.category = 'serial'  (string)
  info.parent = '/org/freedesktop/Hal/devices/usb_device_421_1c8_noserial_if6'  (string)
  info.product = 'Serial Port'  (string)
  info.subsystem = 'tty'  (string)
  info.udi = '/org/freedesktop/Hal/devices/usb_device_421_1c8_noserial_if6_serial_unknown_0'  (string)
  linux.device_file = '/dev/ttyACM0'  (string)
  linux.hotplug_type = 2  (0x2)  (int)
  linux.subsystem = 'tty'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:1d.7/usb2/2-1/2-1:1.6/tty/ttyACM0'  (string)
  modem.command_sets = {'V.250'} (string list)
  serial.device = '/dev/ttyACM0'  (string)
  serial.originating_device = '/org/freedesktop/Hal/devices/usb_device_421_1c8_noserial_if6'  (string)
  serial.port = 0  (0x0)  (int)
  serial.type = 'unknown'  (string)
Comment 1 David Woodhouse 2010-09-24 08:42:24 EDT
Cloned against bluez for the proportion of this clusterfuck which was bluetooth-related.
Comment 2 Bernie Innocenti 2010-12-24 01:06:48 EST
Connecting to the Internet through the N900 works for me with NetworkManager-0.8.1-10.git20100831.fc14.x86_64.

Though it seems to work only when the phone isn't using the 3G connection itself. (this was observed some time ago, I can't confirm it now).
Comment 3 Bastien Nocera 2011-05-04 10:59:30 EDT
(In reply to comment #1)
> Cloned against bluez for the proportion of this clusterfuck which was
> bluetooth-related.

And what do you expect me to guess from those logs?
Comment 4 David Woodhouse 2011-05-04 19:23:36 EDT
Everything in comments 1-3 in the original bug is a BlueZ problem, as far as I can tell. I don't have a specific recollection of that painful day, but the report seems fairly clear.
Comment 5 Bug Zapper 2011-05-31 08:42:00 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-28 08:24:26 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 David Woodhouse 2011-07-03 16:55:32 EDT
Reopening; this is still broken in Fedora 15.

I can connect with wvdial just fine, but NetworkManager still fails.
Comment 8 David Woodhouse 2011-07-03 16:56:51 EDT
Created attachment 511084 [details]
NetworkManager output
Comment 9 David Woodhouse 2011-07-03 16:58:59 EDT
Created attachment 511086 [details]
modem-manager output

These debug files are from an attempt to connect via the USB (ttyACM0) connection.
Comment 10 David Woodhouse 2011-07-04 04:51:38 EDT
I lie; this was Fedora 14. As the log files will show, obviously.
Comment 11 Dan Williams 2011-07-11 20:08:54 EDT
This bug is likely a dupe of bug 583691 at least for the USB connected case; likely for the Bluetooth case as well.  I'm going to provisionally dupe this bug to that one; if the builds linked in that report don't work we can undupe and diagnose.

*** This bug has been marked as a duplicate of bug 583691 ***

Note You need to log in before you can comment on or make changes to this bug.